%global dlrn_nvr python-openstackclient-5.5.2.dev16-1.20230404113830.42d9b6e
%global dlrn 1
%define upstream_version 5.5.2.dev16
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x4c29ff0e437f3351fd82bdf47c5a3bc787dc7035
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

# Command name
%global cname openstack

# library name
%global sname %{cname}client

%global with_doc 0

%global common_desc \
python-%{sname} is a unified command-line client for the OpenStack APIs. \
It is a thin wrapper to the stock python-*client modules that implement the \
actual REST API client actions.

Name:             python-%{sname}
Version: 5.5.2
Release: 1.20230404113830.42d9b6e%{?dist}
Summary:          OpenStack Command-line Client

License:          ASL 2.0
URL:              http://launchpad.net/%{name}
Source0: python-openstackclient-5.5.2.dev16-1.20230404113830.42d9b6e.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=42d9b6ea571e30e4ca1fda9a21dd6ad2189a4f2f
Patch0001: 0001-network-Make-network-qos-rule-create-type-option-req.patch
Patch0002: 0002-Fix-server-event-list-show-for-deleted-servers.patch
Patch0003: 0003-network-Add-support-for-vnic-type-vdpa.patch
Patch0004: 0004-Add-support-for-setting-extra-DHCP-options-on-existi.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:        noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:    git-core
BuildRequires:    openstack-macros

%description
%{common_desc}

%package -n python3-%{sname}
Summary:    OpenStack Command-line Client
%{?python_provide:%python_provide python3-%{sname}}
Obsoletes: python2-%{sname} < %{version}-%{release}

BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    python3-pbr
BuildRequires:    python3-six
BuildRequires:    python3-oslo-i18n
BuildRequires:    python3-oslo-utils
BuildRequires:    python3-requests
BuildRequires:    python3-keystoneclient
BuildRequires:    python3-novaclient
BuildRequires:    python3-cinderclient
BuildRequires:    python3-mock
BuildRequires:    python3-os-client-config
BuildRequires:    python3-cliff
BuildRequires:    python3-simplejson
BuildRequires:    python3-requests-mock

# Required to compile translation files
BuildRequires:    python3-babel
# Required for unit tests
BuildRequires:    python3-stestr
BuildRequires:    python3-osc-lib-tests
BuildRequires:    python3-fixtures
BuildRequires:    python3-oslotest
BuildRequires:    python3-reno
BuildRequires:    python3-requestsexceptions
BuildRequires:    python3-openstacksdk
BuildRequires:    python3-ddt

Requires:         python3-pbr
Requires:         python3-openstacksdk >= 0.53.0
Requires:         python3-oslo-i18n >= 3.15.3
Requires:         python3-oslo-utils >= 3.33.0
Requires:         python3-keystoneclient >= 1:3.22.0
Requires:         python3-novaclient >= 1:17.0.0
Requires:         python3-cinderclient >= 3.3.0
Requires:         python3-neutronclient >= 6.7.0
Requires:         python3-osc-lib >= 2.3.0
Requires:         python3-cliff

Requires:         python-%{sname}-lang = %{version}-%{release}
Requires:         python3-stevedore >= 2.0.1
Requires:         python3-iso8601 >= 0.1.11

# Dependency for auto-completion
%if 0%{?fedora} || 0%{?rhel} > 7
Recommends:         bash-completion
%endif

%description -n python3-%{sname}
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{sname}-doc
Summary:          Documentation for OpenStack Command-line Client

BuildRequires:    python3-sphinx
BuildRequires:    python3-openstackdocstheme
BuildRequires:    python3-sphinxcontrib-apidoc

Requires: python3-%{sname} = %{version}-%{release}

%description -n python-%{sname}-doc
%{common_desc}

This package contains auto-generated documentation.
%endif

%package  -n python-%{sname}-lang
Summary:   Translation files for Openstackclient

%description -n python-%{sname}-lang
Translation files for Openstackclient

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{name}-%{upstream_version} -S git

# We handle requirements ourselves, pkg_resources only bring pain
%py_req_cleanup

%build
%{py3_build}

# Generate i18n files
%{__python3} setup.py compile_catalog -d build/lib/%{sname}/locale --domain openstackclient

%install
%{py3_install}

# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s %{cname} %{buildroot}%{_bindir}/%{cname}-3

%if 0%{?with_doc}
export PYTHONPATH=.
sphinx-build -b html doc/source doc/build/html
sphinx-build -b man doc/source doc/build/man
install -p -D -m 644 doc/build/man/%{cname}.1 %{buildroot}%{_mandir}/man1/%{cname}.1

# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo doc/build/html/.htaccess
%endif

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/%{sname}/locale/*/LC_*/%{sname}*po
rm -f %{buildroot}%{python3_sitelib}/%{sname}/locale/*pot
mv %{buildroot}%{python3_sitelib}/%{sname}/locale %{buildroot}%{_datadir}/locale
rm -rf %{buildroot}%{python3_sitelib}/%{sname}/locale

# Find language files
%find_lang %{sname} --all-name

%post -n python3-%{sname}
mkdir -p /etc/bash_completion.d
openstack complete | sed -n '/_openstack/,$p' > /etc/bash_completion.d/osc.bash_completion

%check
export PYTHON=%{__python3}
stestr run

%files -n python3-%{sname}
%license LICENSE
%doc README.rst
%{_bindir}/%{cname}
%{_bindir}/%{cname}-3
%{python3_sitelib}/%{sname}
%{python3_sitelib}/*.egg-info
%if 0%{?with_doc}
%{_mandir}/man1/%{cname}.1*

%files -n python-%{sname}-doc
%license LICENSE
%doc doc/build/html
%endif

%files -n python-%{sname}-lang -f %{sname}.lang
%license LICENSE

%changelog
* Tue Apr 04 2023 OSP Prod Chain <dev-null@redhat.com> 5.5.2-1.20230404113830.42d9b6e
- Add support for setting extra DHCP options on existing ports (rhbz#2184311)

* Wed Mar 22 2023 OSP Prod Chain <dev-null@redhat.com> 5.5.2-1.20230322083830.42d9b6e
- network: Add support for vnic-type vdpa (rhbz#2128849)

* Sat Feb 04 2023 OSP Prod Chain <dev-null@redhat.com> 5.5.2-1.20230204063915.42d9b6e
- network: Make 'network qos rule create --type' option required (rhbz#2070032)
- Replace assertItemsEqual with assertCountEqual
- volume: Allow more versions
- compute: Note that '--password' is deployment-specific
- compute: Require image when rebuilding a volume-backed server
- Fix: create image from volume command
- Stop testing lower-constraints
- openstack image create: honor protection/visibility flags
- compute: Show flavor in 'server list' with API >= 2.47
- compute: Reorder building of columns for 'server list'
- Fix typo error in listing server's column name
- compute: Fix filtering servers by tags

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 5.5.1-0.20220712122125.53f1efa
- network: Make 'network qos rule create --type' option required (rhbz#2070032)
- [DOWNSTREAM-ONLY] Replace assertItemsEqual with assertCountEqual (rhbz#2027859)

* Tue Apr 26 2022 OSP Prod Chain <dev-null@redhat.com> 5.5.1-0.20220427012829.53f1efa
- Fix 'server event list|show' for deleted servers (rhbz#2069475)

* Wed Mar 30 2022 OSP Prod Chain <dev-null@redhat.com> 5.5.1-0.20220330141919.53f1efa
- network: Make 'network qos rule create --type' option required (rhbz#2070032)

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 5.5.1-0.20220126151837.53f1efa
- [DOWNSTREAM-ONLY] Replace assertItemsEqual with assertCountEqual (rhbz#2027859)

* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 5.5.1-0.20220110231948.53f1efa
- compute: Show flavor in 'server list' with API >= 2.47 (rhbz#2027859)
- compute: Reorder building of columns for 'server list' (rhbz#2027859)
- Fix typo error in listing server's column name (rhbz#2027859)

* Sat Sep 04 2021 OSP Prod Chain <dev-null@redhat.com> 5.5.1-0.20210904061812.53f1efa
- Update patches
- Replace assertItemsEqual with assertCountEqual
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Wed Sep 01 2021 OSP Prod Chain <dev-null@redhat.com> 5.5.0-0.20210901110859.86bca18
- Replace assertItemsEqual with assertCountEqual

* Fri Jul 09 2021 OSP Prod Chain <dev-null@redhat.com> 5.5.0-0.20210709061808.86bca18
- Update patches

* Wed Jun 09 2021 OSP Prod Chain <dev-null@redhat.com> 5.5.0-0.20210609061812.86bca18
- Update patches

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 5.5.0-0.20210531081922.86bca18
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 5.5.0-0.20210528001422.86bca18
- Update patches

* Thu Mar 25 2021 OSP Prod Chain <dev-null@redhat.com> 5.5.0-1
- Update patches

* Thu Mar 25 2021 OSP Prod Chain <dev-null@redhat.com> 5.5.0-1
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 5.5.0-1
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the file paths mentioned in README.rst
- compute: Remove 'file://' prefix from '--block-device'
- network: Add missing subnet unset --gateway <subnet-id>
- compute: Add support for loading BDMs from files
- compute: Add functional tests for --block-device
- Add --name to port list
- Add 'address_group' type support to rbac commands
- project cleanup
- compute: Remove deprecated 'server migrate --live' option
- compute: Deprecate 'server create --file'
- compute: Stop silently ignore --(no-)disk-overcommit
- compute: Auto-configure shared/block live migration
- compute: Add 'server create --block-device' option
- compute: Remove references to optional extensions
- compute: Add missing 'server create' options
- compute: Improve 'server create --block-device-mapping' option parsing
- compute: Rename 'server migrate (confirm|revert)'
- compute: Add 'server migration show' command
- Rename FakeServerMigration to FakeMigration
- compute: Add support for 'server boot --nic ...,tag=<tag>'
- compute: Improve 'server create --nic' option parsing
- compute: Shuffle options for 'server create'
- compute: Add missing options for 'server event list'
- compute: Add missing options for 'server group list'
- compute: Add 'server * --all-projects' option
- Add device profile to ``port``
- compute: Improve 'server migration list' options
- compute: Add '--force' option to 'server delete'
- compute: Add missing options for 'hypervisor list'
- Support remote-address-group in SG rules
- compute: Add 'server volume update' command
- network: Address nits for I3c313fc9329837dde67815901528a34dca98ebcc
- Add reno for change Ic3c555226a220efd9b0f27edffccf6c4c95c2747
- Remove retired Karbor support
- Add 'server unshelve --wait' option
- Add 'server shelve --offload', 'server shelve --wait' options
- compute: Add 'server volume list' command
- compute: Add missing options for 'server image create'
- tests: Remove unused fake method
- compute: Add missing options for 'keypair list'
- compute: Add missing options for 'server set'
- compute: Add missing options for 'server list'
- trivial: Use plural for appended parameters
- compute: Add 'server show --topology' option
- compute: Add 'server group create --rule' option
- compute: Fix 'hypervisor show -f yaml' output
- compute: Fix 'server group * -f yaml' output
- compute: Fix 'usage * -f yaml' output
- compute: Fix 'server * -f yaml' output
- Add support '--progress' option for 'image create'
- Support Neutron Address Group CRUD
- image: Unset properties rather than setting to None
- Add project field in image list subcommand
- trivial: Cleanup docs for 'server list'
- compute: Add missing options for 'server rebuild'
- Add 'flavor list --min-disk', '--min-ram' options
- Make use of comparable 'FormattableColumn' subclasses
- Remove retired Searchlight support
- Update lower-constraints
- Fix lower-constraints job
- trivial: Cleanup docs for 'server rebuild'
- Add documentation about login with federation
- Switch compute aggregate functions to SDK
- Switch compute flavors from novaclient/direct to SDK
- Let autoprogram-cliff know who's running
- Add NODE and HOST parameters in "server create" help text
- Add option to filter instances by AZ
- stop image downloads to memory
- Add "fields" parameter to ListPort query
- trivial: Document removal of support for agents
- tests: Remove 'agent' functional tests
- Allow to resize in-use volumes
- Resolve issues with 'server migration list'
- Switch 'openstack keypair' ops to use SDK
- functional: Remove test for 'quota set --force'
- Remove references to Python 2.7
- Add a few selectable fields to the "openstack server list" output
- Add 'openstack server evacuate' command
- Fix formatting of the flavor properties
- Compute: Add user id support for keypair
- trivial: Rework 'CreateServer' function
- update lower-constraints.txt
- Replace deprecated UPPER_CONSTRAINTS_FILE variable
- Switch console url show operations to SDK
- Remove references to setuptools
- Remove the unused coding style modules
- Add support for 'keypairs list --project' parameter
- Add support for 'keypairs list --user' parameter
- Compute: Add tags support for server
- Validate 'server group create --policy' option
- Add 'openstack server migration list --type' option
- Cleanup of 'server migration list' command
- Add 'server migration force complete' command
- Add 'server migration abort' command
- compute: Add --password option for openstack server create
- Remove oslo.utils
- zuul: Stop testing against Tempest
- Add an error message when server bind floating IP
- Compute: Add tag support for server add fixed ip
- Compute: Add tag support for server add network
- Compute: Add 'keypair create --type' parameter
- Compute: Add tag support for server add port
- Compute: Add tag support for server add volume
- Remove usage of six
- Switch openstack console log show operation to use OpenStackSDK
- Fix: port attribute name propagate_uplink_status
- Restore behavior of image create with same name.
- Add Python3 wallaby unit tests
- Update master for stable/victoria
- Add server migration list CLI
- Remove None valued network quota entries
- Add source_ip_prefix and destination_ip_prefix to metering label rules
- Add id and enabled param in ListIdentityProvider parser
- Add 'openstack server create --use-config-drive'
- Add name and enabled param in ListDomain parser
- Change 'Volume' to 'Block Storage'
- Always display direction for security group rules

* Sat Mar 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Oct 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove install unnecessary packages
- bump py37 to py38 in tox.ini
- Output correct json for security groups in 'openstack server show'
- Remove install unnecessary packages
- Fix gate due to switch to focal
- Fix --image-property option in 'create server'
- Update developing.rst
- Support tagging Neutron ports on creation
- Show words indicating booted from volume for server image
- Add API check for server_groups.create
- Add API check for server_groups.list
- Bypass user and group verification in RemoveRole
- Add NUMA affinity policy parameter to "port"
- Delete the testcases that arent needed anymore
- Fix reverted osc-lib interface change
- Add system role assignment tests for users and groups
- Allow openstack flavor set to update flavor description using name

* Sun Sep 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix compatibility issue in 5.3

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update TOX_CONSTRAINTS_FILE for stable/ussuri
- Update .gitreview for stable/ussuri
- Fix uploading an signed image does not work if private signing key is encrypted
- Add a command to trigger entrypoint cache creation
- switch to stevedore for entry points
- Make volume backup record commands available in v3
- Remove enabling of glance v1 API
- Expose flag for forcing use of import for images
- Remove translation sections from setup.cfg
- port: add --host to list command
- Don't display Munch objects in the output
- Revert "Format location columns in network commands"
- Client should parse string to boolean for value 'is_domain'
- image: autogenerate docs
- identity: autogenerate docs
- Remove os-client-config references
- Add cliff to libs-from-git for devstack functional tips
- Add OpenStack Client for Manila docs
- Remove congress
- Update TOX_CONSTRAINTS_FILE for stable/ussuri
- Update .gitreview for stable/ussuri
- Fix ussuri jobs
- Replace assertItemsEqual with assertCountEqual
- Client should parse string to boolean for value 'is_domain'
- Add py38 package metadata
- Switch to newer openstackdocstheme and reno versions
- Make container list --all work
- Cleanup: remove a useless reference to "object"
- Resolve PEP8
- Correct image lookup during server rebuild
- Add Python3 victoria unit tests
- Update master for stable/ussuri
- Remove Babel from requirements
- Add '--force; parameter to 'openstack quota set'
- Add 'subnetpool' type support to rbac commands
- Add resource option immutable
- Revert "Disallow setting default on internal network"
- Use unittest.mock instead of third party mock
- Add description field to portforwarding NAT rules
- Support for stateless security groups
- Cleanup Python 2.7 support
- Add command: router add/remove route --route
- Adding options to user cli
- Be explicit about python version in image
- Add libc6-dev to bindep
- Add 'address_scope' type support to network rbac commands
- Allow os quota list query to filter by project

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Client should parse string to boolean for value 'is_domain'
- Update TOX_CONSTRAINTS_FILE for stable/ussuri
- Update .gitreview for stable/ussuri
- Fix ussuri jobs

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't look up project by id if given id
- Complete switch from glanceclient to SDK for image service
- Switch image to use SDK

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Honor endpoint override from config for volume
- Remove trailing newline from dockerhub secret
- Fix network segment range "_get_ranges" function
- Change dockerhub password
- Bump lower constraint of MarkupSafe
- Update image building jobs
- Allow setting floating IP description
- Stop configuring install_command in tox and stop use pip.
- Build utility image for using osc
- Add "fields" parameter to ListSecurityGroup query
- Update http links in docs
- Disallow setting default on internal network
- Add bindep file
- Add storage policy option to create container command
- Add qos_network_policy_id to network port tests
- Incorrect title for service provider
- Fix copypaste errors in access rule command
- Add unit tests and release note for dns_publish_fixed_ip
- Fix faulthy state argument choice
- Now we can add description for role creation in OSC
- Replace port 35357 with 5000 for "auth_url"
- Update the content about Import Format

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Complete "Drop python2 support" goal
- Use 'KeyValueAppendAction' from osc-lib
- Stop silently ignoring invalid 'server create --hint' options
- Remove mention of meetings from docs
- Add support for app cred access rules
- Switch to using osc_lib.utils.tags
- Raise flake8-import-order version to latest
- Raise hacking to more recent 2.0.0
- Replace six.iteritems() with .items()
- Show correct name for resource with quota set to zero
- Bump tox minversion
- Fix openstack server list --deleted --marker option
- Stop testing python 2 in tox and zuul.
- Fix router create/show if extraroute not supported
- Provide stderr in exception when check_parser fails
- Microversion 2.79: Add delete_on_termination to volume-attach API
- Create Volume v3 functional tests
- Refactor AggregateTests
- Deflate .htaccess
- Add redirect testing
- compute: autogenerate docs
- openstack.cli: autogenerate docs
- common: autogenerate docs
- Update a stale doc reference to use :neutron-doc:
- neutron: autogenerate docs
- versions: Fix 'versions show' help message
- Remove redundant OpenStackShell.prepare_to_run_command
- Use SDK to get compute API extensions
- Fix functional tests for py3
- Use autoprogram-cliff for remaining plugin docs
- Doc: launchpad => storyboard
- Link to (some) plugin doc pages
- Add plugin doc page for watcher
- Produce complete content for plugin docs
- Split plugin docs per project
- Remove plugin projects from test-requirements.txt
- Add placement to known plugins
- Fix plugin autodoc generation
- Update master for stable/train
- Fix osc-lib interface change: catch osc-lib Forbidden
- Add dns_publish_fixed_ip attribute to subnets
- Add 'openstack server migrate (confirm|revert)' commands
- Add parent project filter for listing projects

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Complete "Drop python2 support" goal
- Use 'KeyValueAppendAction' from osc-lib
- Stop silently ignoring invalid 'server create --hint' options
- Remove mention of meetings from docs
- Add support for app cred access rules
- Switch to using osc_lib.utils.tags
- Raise flake8-import-order version to latest
- Raise hacking to more recent 2.0.0
- Replace six.iteritems() with .items()
- Show correct name for resource with quota set to zero
- Bump tox minversion
- Fix openstack server list --deleted --marker option
- Stop testing python 2 in tox and zuul.
- Fix router create/show if extraroute not supported
- Provide stderr in exception when check_parser fails
- Microversion 2.79: Add delete_on_termination to volume-attach API
- Create Volume v3 functional tests
- Refactor AggregateTests
- Deflate .htaccess
- Add redirect testing
- compute: autogenerate docs
- openstack.cli: autogenerate docs
- common: autogenerate docs
- Update a stale doc reference to use :neutron-doc:
- neutron: autogenerate docs
- versions: Fix 'versions show' help message
- Remove redundant OpenStackShell.prepare_to_run_command
- Use SDK to get compute API extensions
- Fix functional tests for py3
- Use autoprogram-cliff for remaining plugin docs
- Doc: launchpad => storyboard
- Link to (some) plugin doc pages
- Add plugin doc page for watcher
- Produce complete content for plugin docs
- Split plugin docs per project
- Remove plugin projects from test-requirements.txt
- Add placement to known plugins
- Fix plugin autodoc generation
- Update master for stable/train
- Fix osc-lib interface change: catch osc-lib Forbidden
- Add dns_publish_fixed_ip attribute to subnets
- Add 'openstack server migrate (confirm|revert)' commands
- Add parent project filter for listing projects
- Complete "Drop python2 support" goal
- Use 'KeyValueAppendAction' from osc-lib
- Stop silently ignoring invalid 'server create --hint' options
- Remove mention of meetings from docs
- Add support for app cred access rules
- Switch to using osc_lib.utils.tags
- Raise flake8-import-order version to latest
- Raise hacking to more recent 2.0.0
- Replace six.iteritems() with .items()
- Show correct name for resource with quota set to zero
- Bump tox minversion
- Fix openstack server list --deleted --marker option
- Stop testing python 2 in tox and zuul.
- Fix router create/show if extraroute not supported
- Provide stderr in exception when check_parser fails
- Microversion 2.79: Add delete_on_termination to volume-attach API
- Create Volume v3 functional tests
- Refactor AggregateTests
- Deflate .htaccess
- Add redirect testing
- compute: autogenerate docs
- openstack.cli: autogenerate docs
- common: autogenerate docs
- Update a stale doc reference to use :neutron-doc:
- neutron: autogenerate docs
- versions: Fix 'versions show' help message
- Remove redundant OpenStackShell.prepare_to_run_command
- Use SDK to get compute API extensions
- Fix functional tests for py3
- Use autoprogram-cliff for remaining plugin docs
- Doc: launchpad => storyboard
- Link to (some) plugin doc pages
- Add plugin doc page for watcher
- Produce complete content for plugin docs
- Split plugin docs per project
- Remove plugin projects from test-requirements.txt
- Add placement to known plugins
- Fix plugin autodoc generation
- Update master for stable/train
- Fix osc-lib interface change: catch osc-lib Forbidden
- Add dns_publish_fixed_ip attribute to subnets
- Add 'openstack server migrate (confirm|revert)' commands
- Add parent project filter for listing projects

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Complete "Drop python2 support" goal
- Use 'KeyValueAppendAction' from osc-lib
- Stop silently ignoring invalid 'server create --hint' options
- Remove mention of meetings from docs
- Add support for app cred access rules
- Switch to using osc_lib.utils.tags
- Raise flake8-import-order version to latest
- Raise hacking to more recent 2.0.0
- Replace six.iteritems() with .items()
- Show correct name for resource with quota set to zero
- Bump tox minversion
- Fix openstack server list --deleted --marker option
- Stop testing python 2 in tox and zuul.
- Fix router create/show if extraroute not supported
- Provide stderr in exception when check_parser fails
- Microversion 2.79: Add delete_on_termination to volume-attach API
- Create Volume v3 functional tests
- Refactor AggregateTests
- Deflate .htaccess
- Add redirect testing
- compute: autogenerate docs
- openstack.cli: autogenerate docs
- common: autogenerate docs
- Update a stale doc reference to use :neutron-doc:
- neutron: autogenerate docs
- versions: Fix 'versions show' help message
- Remove redundant OpenStackShell.prepare_to_run_command
- Use SDK to get compute API extensions
- Fix functional tests for py3
- Use autoprogram-cliff for remaining plugin docs
- Doc: launchpad => storyboard
- Link to (some) plugin doc pages
- Add plugin doc page for watcher
- Produce complete content for plugin docs
- Split plugin docs per project
- Remove plugin projects from test-requirements.txt
- Add placement to known plugins
- Fix plugin autodoc generation
- Update master for stable/train
- Fix osc-lib interface change: catch osc-lib Forbidden
- Add dns_publish_fixed_ip attribute to subnets
- Add 'openstack server migrate (confirm|revert)' commands
- Add parent project filter for listing projects

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


